apiVersion: apps/v1
kind: Deployment
metadata:
  name: collabora
  namespace: nextcloud
spec:
  replicas: 1
  selector:
    matchLabels:
      app: collabora
  template:
    metadata:
      labels:
        app: collabora
    spec:
      containers:
        - name: collabora
          image: collabora/code:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 9980
          env:
            - name: domain
              value: "henryathome.home64.de"
            - name: extra_params
              value: "--o:ssl.enable=false --o:ssl.termination=true"
          resources:
            requests:
              memory: "1Gi"
              cpu: "500m"
            limits:
              memory: "4Gi"
              cpu: "2"